## LassoSamlAuthenticationStatement LassoSamlAuthenticationStatement — <saml:AuthenticationStatement> |

## Functions

LassoNode * | lasso_saml_authentication_statement_new ()

## Types and Values

struct | LassoSamlAuthenticationStatement

## Description

Figure 28. Schema fragment for saml:AuthenticationStatement

    <element name="AuthenticationStatement" type="saml:AuthenticationStatementType"/>
    <complexType name="AuthenticationStatementType">
      <complexContent>
        <extension base="saml:SubjectStatementAbstractType">
          <sequence>
            <element ref="saml:SubjectLocality" minOccurs="0"/>
            <element ref="saml:AuthorityBinding" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute name="AuthenticationMethod" type="anyURI" use="required"/>
          <attribute name="AuthenticationInstant" type="dateTime" use="required"/>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_saml_authentication_statement_new ()

    LassoNode *
    lasso_saml_authentication_statement_new
                                   (void);

Creates a new LassoSamlAuthenticationStatement object.

#### Returns

a newly created LassoSamlAuthenticationStatement object

## Types and Values

### struct LassoSamlAuthenticationStatement

    struct LassoSamlAuthenticationStatement {
    	LassoSamlSubjectStatementAbstract parent;

    	/* <element ref="saml:SubjectLocality" minOccurs="0"/> */
    	LassoSamlSubjectLocality *SubjectLocality;
    	/* <element ref="saml:AuthorityBinding" minOccurs="0" maxOccurs="unbounded"/> */
    	GList *AuthorityBinding; /* of LassoNode */
    	/* <attribute name="AuthenticationMethod" type="anyURI" use="required"/> */
    	char *AuthenticationMethod;
    	/* <attribute name="AuthenticationInstant" type="dateTime" use="required"/> */
    	char *AuthenticationInstant;
    };